Subject: RE: SEO of new media centre
From: Louise Giddings <[email-masked]>
To: Rod Dennis <[email-masked]>, Jesse Wynants <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Fri, 21 Mar 2025 16:29:17 +0000

Hey Jesse and Christian,

Great to meet you!

I was just comparing a crawl on Screaming Frog this morning from an audit I did on the 19th of March vs this afternoon, and it says there are about 1857 less internal URLs prior to the migration.

The bit I'm not sure on is when I click these 'missing' URLs, they redirect to a new URL structure on the media centre, which isn't an issue! It's just strange the audit isn't picking this up, and I worry Google might have the same issue.

I've attached the spreadsheet, any URLs in column A that are in red are apparently missing from the new media hub. Let me know your thoughts?

I noticed that we also have multiple H1s across a number of pages. It looks like the RAC media centre logo is tagged up as a H1, so every page with this now has duplicate H1s. Are we able to amend this? Ideally it would just be a <p> or just be an image rather than HTML.

Also, our robots.txt is quite different from previously. I assume because we have removed tags from the website is one reason, do we still have document, subject and event type pages? And we would need to add search back in I think.

Before:
After:
There are a number of javascript pages that are indexable too. Ideally these would be added to the robots.txt before they're indexed, unless there's a reason they need to be crawled? I've added a spreadsheet with all the URLs.

Let me know what you think. Any questions give me a shout!

Thanks,

Louise Giddings
SEO Manager | Performance Marketing

E: [email-masked]<mailto:[email-masked]>
<https://www.rac.co.uk/>
RAC, Great Park Road, Bradley Stoke, Bristol BS32 4QN

From: Rod Dennis <[email-masked]>
Sent: 21 March 2025 15:21
To: Jesse Wynants <[email-masked]>; [email-masked]
Cc: Louise Giddings <[email-masked]>
Subject: SEO of new media centre

Hi both

I've just had a call with our SEO manager, Louise, regarding the new RAC media centre.

She has identified a few issues, including there being far fewer pages being indexed now than on the old Mynewsdesk site. She's going to put together an email for you to show what's she's found. Any help you can give once you've seen this would be very helpful (aware our Mynewsdesk services ends on 25 March).

Thanks
Rod

Rod Dennis
Senior PR & Public Affairs Officer

E [email-masked]<mailto:[email-masked]>
T 01454 664 123
W media.rac.co.uk<https://media.rac.co.uk/>

[Image]<https://www.rac.co.uk/>
Great Park Road, Bristol BS32 4QN

RAC is the trading name for the principal subsidiaries of The RAC Group in the United Kingdom.
The principal subsidiaries are:

RAC Motoring Services.
Registered Office RAC House, Brockhurst Crescent, Walsall WS5 4AW
Registered in England & Wales Number 01424399
Authorised and regulated by the Financial Conduct Authority.

RAC Insurance Limited.
Registered Office RAC House, Brockhurst Crescent, Walsall WS5 4AW
Registered in England & Wales Number 02355834
Authorised by the Prudential Regulation Authority and regulated by the Financial Conduct Authority 
and the Prudential Regulation Authority

RAC Financial Services Limited.
Registered Office RAC House, Brockhurst Crescent, Walsall WS5 4AW
Registered in England & Wales Number 05171817
Authorised and regulated by the Financial Conduct Authority.

RAC Group Limited.
Registered Office RAC House, Brockhurst Crescent, Walsall WS5 4AW
Registered in England & Wales Number 00229121

RACMS (Ireland) Limited.
Registered Office RAC is the trading name for the principal subsidiaries of The RAC Group in the United Kingdom.
The principal subsidiaries are:

RAC Motoring Services.
Registered Office RAC House, Brockhurst Crescent, Walsall WS5 4AW
Registered in England & Wales Number 01424399
Authorised and regulated by the Financial Conduct Authority.

RAC Insurance Limited.
Registered Office RAC House, Brockhurst Crescent, Walsall WS5 4AW
Registered in England & Wales Number 02355834
Authorised by the Prudential Regulation Authority and regulated by the Financial Conduct Authority
and the Prudential Regulation Authority.

RAC Financial Services Limited.
Registered Office RAC House, Brockhurst Crescent, Walsall WS5 4AW
Registered in England & Wales Number 05171817
Authorised and regulated by the Financial Conduct Authority.

RAC Group Limited.
Registered Office RAC House, Brockhurst Crescent, Walsall WS5 4AW
Registered in England & Wales Number 00229121

RACMS (Ireland) Limited.
Registered Office 5th Floor, 40 Mespil Road, Dublin, D04 C2N4
Registered in Ireland Number 168335

********************************************************************
This email and any files sent with it are intended only for the named
recipient. If you are not the named recipient please telephone/email
the sender immediately. You should not disclose the content or
take/retain/distribute any copies.
********************************************************************